[分享]编译stardict的一些要求

仅仅用于软件推荐,不适合发求软件或软件使用问题方面的贴子
回复
xiechy
帖子: 1074
注册时间: 2006-01-18 15:01
送出感谢: 0
接收感谢: 1 次

[分享]编译stardict的一些要求

#1

帖子 xiechy » 2007-08-20 12:47

3.0.0出来之后,很多人使用了新的deb包,也有用官方包的,我没有装,但是好像一般关上了festival引擎(编译不过),其实这个问题很好解决,我自己用的是gutsy,也懒得做什么deb包了,只是记下编译的一些步骤,希望对大家有用。

1、增加的编译依赖。
相对2.4.8,增加了下列依赖 libenchant-dev, libgucharmap-dev, festival-dev, libespeak-dev, libestools1.2-dev
减少了python-dev,和x-dev两个依赖。

所以在

代码: 全选

sudo apt-get builddep stardict

之后,要记住手动安上以上的依赖包。

2、festival插件编译不过问题。
手动修改configure.in文件,将其中的
usr/include/speech-tools/EST

替换为
usr/include/speech_tools

之后重新执行

代码: 全选

./autogen.sh

然后

代码: 全选

touch stardict-plugins/stardict-festival-tts-plugin/est_string_config.h


3、之后可以正常的

代码: 全选

./configure
make
sudo make install

了,默认在/usr/local由于$PATH一般/usr/local/比较前,所以不需要删掉原来的stardict。直接执行stardict就是/usr/local/bin下的新版本。
我还是比较喜欢debian的官方版本,等debian官方包出来吧。试用期间不想做额外的打包工作。
我没有遇到什么更多的安装错误了,./configure的参数也都是用的默认的。暂时没有发现其他什么问题。
头像
wjs272
帖子: 775
注册时间: 2007-04-17 13:32
来自: 上海理工大学
送出感谢: 1 次
接收感谢: 0
联系:

#2

帖子 wjs272 » 2007-08-20 17:09

顶了再说
回复

回到 “软件推荐”